Bug 501102 - Disk error during installation partitioning and filesystem creation.
Disk error during installation partitioning and filesystem creation.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 03:35 EDT by Colin Leavett-Brown
Modified: 2009-05-20 17:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 17:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal ( using F11 Kive CD) showing h/w config. (157.03 KB, application/octet-stream)
2009-05-16 03:38 EDT, Colin Leavett-Brown
no flags Details

  None (edit)
Description Colin Leavett-Brown 2009-05-16 03:35:36 EDT
Description of problem: Attempted full installation 3 times(Fedora-11-Preview-i386-DVD.iso, anaconda 11.5.0.47): 
1. Language: US English
2. Keyboard: US English
3. Timezone: Pacific
4. Hostname: gibbon
5. root password: ....
6. Default partitioning.

Results:
1st time: Progression box "Writing changes to disk", after flashing the progression bar erratically for about 90 seconds, failed with disk error dialog. Pressing the "OK" button exits anaconda and reboots the system.

2nd time: Progression boxes "Writing changes to disk" followed by "Creating filesystem". Both had erratically flashing progression bar but disk failure occurred during the creation of the filesystem. Again, pressing the "OK" button exits anaconda and reboots the system.

3rd time: Prior to the third attempt, rebooted in FC7 with two HDs; the FC7 boot disk and the disk F11 was having disk errors on. Found that attempt #2 had created "vg_gibbon/lv_root" and "vg_gibbon/lv_swat". Wiped these out and created an EXT3 filesystem on the full disk. Wrote over 25 GBs and 5000 files to the EXT3 filesystem. No disk errors. Re-plugged hardware and re-attempted installation. This time. anaconda could find no free space to perform the installation on and would not allow me to proceed beyond the partition specification.  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Colin Leavett-Brown 2009-05-16 03:38:38 EDT
Created attachment 344261 [details]
lshal ( using F11 Kive CD) showing h/w config.
Comment 2 Chris Lumens 2009-05-18 10:18:17 EDT
What are the exact error messages you got from your first attempts?
Comment 3 Colin Leavett-Brown 2009-05-18 12:20:32 EDT
I don't know, I wasn't expecting an error and I wasn't taking notes. The second and third tries was my attempt to recreate the problem but I got different results each time. Since I've put the EXT3 filesystem on the device (to prove that there is nothing wrong with the disk) it doesn't appear to accept the device at all. I have tried creating and deleting partitions with FDISK under FC7; #501340 is the result. What should I try next?
Comment 4 Chris Lumens 2009-05-18 17:00:48 EDT
If possible, please try restoring your disks to the state they were in before the first install attempt.  Then when you hit a bug, make sure to grab the /tmp/anacdump.txt file and attach it to this bug report.  If you cannot use anaconda to restore your original partition state, you can use external tools.  Not having specific error messages makes it hard to debug these problems as it's highly dependent on what was originally on disk and what selections you made.  Reproducing them is never as easy as it should be.
Comment 5 Colin Leavett-Brown 2009-05-20 17:39:41 EDT
Hi Chris, The disk in question had an abandoned F9 install - abandoned because once the install was complete, the version of X would abort; reverted to F7. Prior to your #4 update, I had attempted to get the disk usable in order to recreate the problem by booting off the F11 Preview DVD into recovery mode and running FDISK to create/delete partitions. On the subsequent attempt, installation ran to completion (this update is being done via my F11 Preview install). Still having many problems - will open other reports as required. Please close this one.
Comment 6 Chris Lumens 2009-05-20 17:53:25 EDT
Okay, thanks for updating.

Note You need to log in before you can comment on or make changes to this bug.